import request from '../../utils/request'
/**
 * 获取日语培训列表
 *
 */
export function getClassPruductList(data) {
  return request({
    url: '/order/GetClassPruductList',
    method: 'post',
    data
  })
}
/**
 * 获取订单来源 枚举
 *
 */
export function getOrderSourceEnumList(data) {
  return request({
    url: '/order/GetOrderSourceEnumList',
    method: 'post',
    data
  })
}

/**
 * 新增 修改订单
 *
 */
export function setClassOrder(data) {
  return request({
    url: '/order/SetClassOrder',
    method: 'post',
    data
  })
}

/**
 * 销售 我的订单
 *
 */
export function getMyOrderPageList(data) {
  return request({
    url: '/order/GetMyOrderPageList',
    method: 'post',
    data
  })
}

/**
 * 销售 我的订单状态
 *
 */
export function getOrderStateEnumList(data) {
  return request({
    url: '/order/GetOrderStateEnumList',
    method: 'post',
    data
  })
}

/**
 *  订单客人列表
 *
 */
export function getOrderGuestPageList(data) {
  return request({
    url: '/order/GetOrderGuestPageList',
    method: 'post',
    data
  })
}

/**
 *  日语基础枚举
 *
 */
export function getGuestBasicsEnumList(data) {
  return request({
    url: '/order/GetGuestBasicsEnumList',
    method: 'post',
    data
  })
}
/**
 *  日语基础枚举
 *
 */
export function getGuestEducationEnumList(data) {
  return request({
    url: '/order/GetGuestEducationEnumList',
    method: 'post',
    data
  })
}
/**
 *  获取学习目的 枚举
 *
 */
export function getGuestLearningGoalsEnumList(data) {
  return request({
    url: '/order/GetGuestLearningGoalsEnumList',
    method: 'post',
    data
  })
}
/**
 *  获取订单来自于 枚举
 *
 */
export function getOrderFormEnumList(data) {
  return request({
    url: '/order/GetOrderFormEnumList',
    method: 'post',
    data
  })
}
/**
 *  新增客人信息
 *
 */
export function setOrderGuestInfo(data) {
  return request({
    url: '/order/SetOrderGuestInfo',
    method: 'post',
    data
  })
}
/**
 *  删除客人名单
 *
 */
export function delOrderGuestInfo(data) {
  return request({
    url: '/order/DelOrderGuestInfo',
    method: 'post',
    data
  })
}
/**
 *  删除客人名单
 *
 */
export function updateOrderRemark(data) {
  return request({
    url: '/order/UpdateOrderRemark',
    method: 'post',
    data
  })
}
/**
 *  订单转交
 *
 */
export function setClassOrderCareOf(data) {
  return request({
    url: '/order/SetClassOrderCareOf',
    method: 'post',
    data
  })
}
